<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>kwBSL &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>kwBSL
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.9% of total for derived types.</p>Including implementation: 669 statements,  5.6% of total for derived types.">10 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/bsl.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/bsl.f03.html'>bsl.f03</a></li>
    
     <li><a href='../module/kappaomegabsl.html'>kappaOmegaBSL</a></li>
    
  
     <li class="active">kwBSL</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_a1">C_a1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_a2">C_a2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_b1">C_b1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_b2">C_b2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_k1">sigma_k1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_o1">sigma_o1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_k2">sigma_k2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_o2">sigma_o2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-bstar">bstar</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tke">tke</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tdr">tdr</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-mueff_k">muEff_k</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-mueff_w">muEff_w</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tkeeqn">tkeEqn</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tdreqn">tdrEqn</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-gamma_1">gamma_1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-gamma_2">gamma_2</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-createmodel">createModel</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-destroykappaomega">destroyKappaOmega</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-overridedefaultcoeffs">overrideDefaultCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-printcoeffs">printCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkesourceterm">tkeSourceTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkesustterm">tkeSustTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrsustterm">tdrSustTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-updateeddyviscosity%7E4">updateEddyViscosity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-nutwallfunction%7E2">nutWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-blendingfunction">blendingFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulencemodel%7E2">turbulenceModel</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-computefrictionvelocityk">computeFrictionVelocityK</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproduction">turbulentProduction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproductionkappaomega">turbulentProductionKappaOmega</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproductiondev">turbulentProductionDev</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-vorticityproduction">vorticityProduction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkewallfunction">tkeWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytkewallfunction">applyTkeWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrwallfunction">tdrWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrlowrewallfunction">tdrLowReWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytdrwallfunction">applyTdrWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytdrlowrewallfunction">applyTdrLowReWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-printresidual">printresidual</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-writetofile%7E2">writeToFile</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-verbose%7E2">verbose</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-modelcoeffs">modelCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkediffusivity">tkeDiffusivity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrdiffusivity">tdrDiffusivity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrsourceterm">tdrSourceTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-add_gradk_gradw">add_gradK_gradW</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(<a href='../type/kw1988.html'>kw1988</a>) :: kwBSL</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~kwbsl~~InheritsGraph Pages: 1 -->
<svg id="typekwbslInheritsGraph" width="395pt" height="116pt"
 viewBox="0.00 0.00 395.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~kwbsl~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>type~~kwbsl~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 391,-112 391,4 -4,4"/>
<!-- type~kwbsl -->
<g id="type~~kwbsl~~InheritsGraph_node1" class="node">
<title>type~kwbsl</title>
<polygon fill="none" stroke="#000000" points="387,-66 333,-66 333,-42 387,-42 387,-66"/>
<text text-anchor="middle" x="360" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">kwBSL</text>
</g>
<!-- type~kw1988 -->
<g id="type~~kwbsl~~InheritsGraph_node2" class="node">
<title>type~kw1988</title>
<g id="a_type~~kwbsl~~InheritsGraph_node2"><a xlink:href=".././type/kw1988.html" xlink:title="kw1988">
<polygon fill="#5cb85c" stroke="#5cb85c" points="296,-66 242,-66 242,-42 296,-42 296,-66"/>
<text text-anchor="middle" x="269" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kw1988</text>
</a>
</g>
</g>
<!-- type~kwbsl&#45;&gt;type~kw1988 -->
<g id="type~~kwbsl~~InheritsGraph_edge1" class="edge">
<title>type~kwbsl&#45;&gt;type~kw1988</title>
<path fill="none" stroke="#000000" d="M332.697,-54C324.4187,-54 315.1783,-54 306.3595,-54"/>
<polygon fill="#000000" stroke="#000000" points="306.2838,-50.5001 296.2837,-54 306.2837,-57.5001 306.2838,-50.5001"/>
</g>
<!-- baseModelClass -->
<g id="type~~kwbsl~~InheritsGraph_node3" class="node">
<title>baseModelClass</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="91,-108 0,-108 0,-84 91,-84 91,-108"/>
<text text-anchor="middle" x="45.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">baseModelClass</text>
</g>
<!-- type~kw1988&#45;&gt;baseModelClass -->
<g id="type~~kwbsl~~InheritsGraph_edge4" class="edge">
<title>type~kw1988&#45;&gt;baseModelClass</title>
<path fill="none" stroke="#000000" d="M241.5687,-63.2317C235.8075,-64.9735 229.7377,-66.665 224,-68 183.4011,-77.4463 136.8553,-84.6302 101.4751,-89.3552"/>
<polygon fill="#000000" stroke="#000000" points="100.8015,-85.9135 91.3406,-90.6824 101.7105,-92.8542 100.8015,-85.9135"/>
</g>
<!-- transportEqn -->
<g id="type~~kwbsl~~InheritsGraph_node4" class="node">
<title>transportEqn</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="82.5,-66 8.5,-66 8.5,-42 82.5,-42 82.5,-66"/>
<text text-anchor="middle" x="45.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">transportEqn</text>
</g>
<!-- type~kw1988&#45;&gt;transportEqn -->
<g id="type~~kwbsl~~InheritsGraph_edge3" class="edge">
<title>type~kw1988&#45;&gt;transportEqn</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M241.5945,-54C204.6104,-54 138.159,-54 92.9648,-54"/>
<polygon fill="#000000" stroke="#000000" points="92.8145,-50.5001 82.8145,-54 92.8145,-57.5001 92.8145,-50.5001"/>
<text text-anchor="middle" x="166.5" y="-56.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">tkeEqn, tdrEqn</text>
</g>
<!-- flubioField -->
<g id="type~~kwbsl~~InheritsGraph_node5" class="node">
<title>flubioField</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="76,-24 15,-24 15,0 76,0 76,-24"/>
<text text-anchor="middle" x="45.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioField</text>
</g>
<!-- type~kw1988&#45;&gt;flubioField -->
<g id="type~~kwbsl~~InheritsGraph_edge2" class="edge">
<title>type~kw1988&#45;&gt;flubioField</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M241.5687,-44.7683C235.8075,-43.0265 229.7377,-41.335 224,-40 177.2834,-29.1303 122.6927,-21.2561 86.3005,-16.677"/>
<polygon fill="#000000" stroke="#000000" points="86.4335,-13.167 76.0805,-15.4175 85.5773,-20.1144 86.4335,-13.167"/>
<text text-anchor="middle" x="166.5" y="-42.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">tke, tdr, muEff_k, muEff_w</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_a1">C_a1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_a2">C_a2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_b1">C_b1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-c_b2">C_b2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_k1">sigma_k1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_o1">sigma_o1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_k2">sigma_k2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-sigma_o2">sigma_o2</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-bstar">bstar</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tke">tke</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tdr">tdr</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-mueff_k">muEff_k</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-mueff_w">muEff_w</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tkeeqn">tkeEqn</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-tdreqn">tdrEqn</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-gamma_1">gamma_1</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#variable-gamma_2">gamma_2</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-createmodel">createModel</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-destroykappaomega">destroyKappaOmega</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-overridedefaultcoeffs">overrideDefaultCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-printcoeffs">printCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkesourceterm">tkeSourceTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkesustterm">tkeSustTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrsustterm">tdrSustTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-updateeddyviscosity%7E4">updateEddyViscosity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-nutwallfunction%7E2">nutWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-blendingfunction">blendingFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulencemodel%7E2">turbulenceModel</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-computefrictionvelocityk">computeFrictionVelocityK</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproduction">turbulentProduction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproductionkappaomega">turbulentProductionKappaOmega</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-turbulentproductiondev">turbulentProductionDev</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-vorticityproduction">vorticityProduction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkewallfunction">tkeWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytkewallfunction">applyTkeWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrwallfunction">tdrWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrlowrewallfunction">tdrLowReWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytdrwallfunction">applyTdrWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-applytdrlowrewallfunction">applyTdrLowReWallFunction</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-printresidual">printresidual</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-writetofile%7E2">writeToFile</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-verbose%7E2">verbose</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-modelcoeffs">modelCoeffs</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tkediffusivity">tkeDiffusivity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrdiffusivity">tdrDiffusivity</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-tdrsourceterm">tdrSourceTerm</a>
      
      <a class="list-group-item" href="../type/kwbsl.html#boundprocedure-add_gradk_gradw">add_gradK_gradW</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c_a1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>C_a1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c_a2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>C_a2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c_b1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>C_b1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c_b2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>C_b2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sigma_k1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>sigma_k1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sigma_o1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>sigma_o1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sigma_k2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>sigma_k2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sigma_o2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>sigma_o2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-bstar"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>bstar</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tke"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>tke</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tdr"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>tdr</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mueff_k"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>muEff_k</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mueff_w"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>muEff_w</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tkeeqn"></span>type(transportEqn),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>tkeEqn</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tdreqn"></span>type(transportEqn),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>tdrEqn</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gamma_1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gamma_1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gamma_2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gamma_2</strong></td><td></td><td></td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createmodel"></span><h3>procedure, public :: <strong>createModel</strong>  => <a href='../proc/createkappaomega.html'>createKappaOmega</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createkappaomega.html'>createKappaOmega</a>(this)
    
    
   
</h3>
    







<p>createKappaOmega is the model constructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-destroykappaomega"></span><h3>procedure, public :: <strong>destroyKappaOmega</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/destroykappaomega.html'>destroyKappaOmega</a>(this)
    
    
   
</h3>
    







<p>destroyKappaOmega is the model deconstructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-overridedefaultcoeffs"></span><h3>procedure, public :: <strong>overrideDefaultCoeffs</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/overridedefaultcoeffs.html'>overrideDefaultCoeffs</a>(this)
    
    
   
</h3>
    







<p>overrideDefaultCoeffs sets the coefficients as you might have defined in turbulenceModel dictionary.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-printcoeffs"></span><h3>procedure, public :: <strong>printCoeffs</strong>  => <a href='../proc/printcoeffskappaomega.html'>printCoeffsKappaOmega</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/printcoeffskappaomega.html'>printCoeffsKappaOmega</a>(this)
    
    
   
</h3>
    







<p>printCoeffsKappaOmega prints coefficients to screen.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tkesourceterm"></span><h3>procedure, public :: <strong>tkeSourceTerm</strong>  => <a href='../proc/kappasourcetermwilcox.html'>kappaSourceTermWilcox</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappasourcetermwilcox.html'>kappaSourceTermWilcox</a>(this)
    
    
   
</h3>
    







<p>kappaSourceTermWilcox computes the source term for the tke equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tkesustterm"></span><h3>procedure, public :: <strong>tkeSustTerm</strong>  => <a href='../proc/tkesustterm.html'>TkeSustTerm</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/tkesustterm.html'>TkeSustTerm</a>(this)
    
    
   
</h3>
    







<p>omegaSourceTermWilcox computes the source term for the tdr equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrsustterm"></span><h3>procedure, public :: <strong>tdrSustTerm</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/tdrsustterm.html'>tdrSustTerm</a>(this)
    
    
   
</h3>
    







<p>omegaSourceTermWilcox computes the source term for the tdr equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-updateeddyviscosity%7E4"></span><h3>procedure, public :: <strong>updateEddyViscosity</strong>  => <a href='../proc/updateeddyviscositywilcox.html'>updateEddyViscosityWilcox</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/updateeddyviscositywilcox.html'>updateEddyViscosityWilcox</a>(this)
    
    
   
</h3>
    







<p>updateEddyViscosityWilcox computes the eddy viscosity according to the turbulence model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-nutwallfunction%7E2"></span><h3>procedure, public :: <strong>nutWallFunction</strong>  => <a href='../proc/nutwallfunctionwilcox.html'>nutWallFunctionWilcox</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nutwallfunctionwilcox.html'>nutWallFunctionWilcox</a>(this)
    
    
   
</h3>
    







<p>nutWallFunctionWilcox computes the eddy viscosity at wall boundaries.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-blendingfunction"></span><h3>procedure, public :: <strong>blendingFunction</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/blendingfunction.html'>blendingFunction</a>(this, F1, F2, iElement)
    
    
   
</h3>
    







<p>blendingFunction computes the blending function F1 and F2 used in many turbulence models of the k-oemga family.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>F1</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>F2</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iElement</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-turbulencemodel%7E2"></span><h3>procedure, public :: <strong>turbulenceModel</strong>  => <a href='../proc/kappaomega.html'>kappaOmega</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappaomega.html'>kappaOmega</a>(this)
    
    
   
</h3>
    







<p>kappaOmega is the model runner.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computefrictionvelocityk"></span><h3>procedure, public :: <strong>computeFrictionVelocityK</strong>  => <a href='../proc/computefrictionvelocityk_.html'>computeFrictionVelocityK_</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computefrictionvelocityk_.html'>computeFrictionVelocityK_</a>(this)
    
    
   
</h3>
    







<p>computeFrictionVelocityK computes the friction velocity from the kinetic energy at wall boundary cells.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-turbulentproduction"></span><h3>procedure, public :: <strong>turbulentProduction</strong>  => <a href='../proc/turbulentproductionwrapper.html'>turbulentProductionWrapper</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/turbulentproductionwrapper.html'>turbulentProductionWrapper</a>(this)
    
    
   
</h3>
    







<p>turbulentProduction computes the turbulent production Pk.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-turbulentproductionkappaomega"></span><h3>procedure, public :: <strong>turbulentProductionKappaOmega</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/turbulentproductionkappaomega.html'>turbulentProductionKappaOmega</a>(this)
    
    
   
</h3>
    







<p>turbulentProduction computes the turbulent production Pk.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-turbulentproductiondev"></span><h3>procedure, public :: <strong>turbulentProductionDev</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/turbulentproductiondev.html'>turbulentProductionDev</a>(this)
    
    
   
</h3>
    







<p>turbulentProductionDev computes the turbulent production Pk inculding the deviatoric term.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-vorticityproduction"></span><h3>procedure, public :: <strong>vorticityProduction</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/vorticityproduction.html'>vorticityProduction</a>(this)
    
    
   
</h3>
    







<p>vorticityProduction computes the turbulent production Pk from the vorticity field as used in "-V" versions of k.omega.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tkewallfunction"></span><h3>procedure, public :: <strong>tkeWallFunction</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/tkewallfunction.html'>tkeWallFunction</a>(this, aCb, bCb, tkeWall, iBFace, mu)
    
    
   
</h3>
    







<p>tkeWallFunction implements the tke wall function (the wall treatment is automatic)</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>aCb</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>bCb</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>tkeWall</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iBFace</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>mu</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-applytkewallfunction"></span><h3>procedure, public :: <strong>applyTkeWallFunction</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/applytkewallfunction.html'>applyTkeWallFunction</a>(this)
    
    
   
</h3>
    







<p>applyTkeWallFunction applies the tke wall function if required.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrwallfunction"></span><h3>procedure, public :: <strong>tdrWallFunction</strong>  => <a href='../proc/omegawallfunction.html'>omegaWallFunction</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/omegawallfunction.html'>omegaWallFunction</a>(this, iBFace) result(bCb)
    
    
   
</h3>
    







<p>omegaWallFunction sets the value of omega at the cell centers of boundary cells (only of type wall)
using the automatic wall treatment.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iBFace</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  </small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrlowrewallfunction"></span><h3>procedure, public :: <strong>tdrLowReWallFunction</strong>  => <a href='../proc/omegalowrewallfunction.html'>omegaLowReWallFunction</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/omegalowrewallfunction.html'>omegaLowReWallFunction</a>(this, aCb, bCb, omegaWall, iBFace, mu)
    
    
   
</h3>
    







<p>omegaLowReWallFunction implements the low Re omega wall function. It sets a known value of omega at the wall boundaries.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>aCb</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>bCb</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>omegaWall</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iBFace</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>mu</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-applytdrwallfunction"></span><h3>procedure, public :: <strong>applyTdrWallFunction</strong>  => <a href='../proc/applyomegawallfunction.html'>applyOmegaWallFunction</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/applyomegawallfunction.html'>applyOmegaWallFunction</a>(this)
    
    
   
</h3>
    







<p>applyOmegaWallFunction applies the wall function if they are required.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-applytdrlowrewallfunction"></span><h3>procedure, public :: <strong>applyTdrLowReWallFunction</strong>  => <a href='../proc/applyomegalowrewallfunction.html'>applyOmegaLowReWallFunction</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/applyomegalowrewallfunction.html'>applyOmegaLowReWallFunction</a>(this)
    
    
   
</h3>
    







<p>applyOmegaWallFunction applies the wall function if they are required.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-printresidual"></span><h3>procedure, public :: <strong>printresidual</strong>  => <a href='../proc/kappaomegaresidual.html'>kappaOmegaResidual</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappaomegaresidual.html'>kappaOmegaResidual</a>(this)
    
    
   
</h3>
    







<p>kappaOmegaResidual writes the residuals to file and to standard output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-writetofile%7E2"></span><h3>procedure, public :: <strong>writeToFile</strong>  => <a href='../proc/kappaomegawritetofile.html'>kappaOmegaWriteToFile</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappaomegawritetofile.html'>kappaOmegaWriteToFile</a>(this)
    
    
   
</h3>
    







<p>kappaOmegaWriteToFile writes the k-omega fields to output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-verbose%7E2"></span><h3>procedure, public :: <strong>verbose</strong>  => <a href='../proc/kappaomegaverbose.html'>kappaOmegaVerbose</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappaomegaverbose.html'>kappaOmegaVerbose</a>(this)
    
    
   
</h3>
    







<p>kappaOmegaVerbose writes info to the standard output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kw1988.html'>kw1988</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-modelcoeffs"></span><h3>procedure, public :: <strong>modelCoeffs</strong>  => <a href='../proc/modelcoeffsbsl.html'>modelCoeffsBSL</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/modelcoeffsbsl.html'>modelCoeffsBSL</a>(this)
    
    
   
</h3>
    







<p>modelCoeffsBSL sets the turbulence model coefficients according to NASA.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kwbsl.html'>kwBSL</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tkediffusivity"></span><h3>procedure, public :: <strong>tkeDiffusivity</strong>  => <a href='../proc/kappadiffusivitybsl.html'>kappaDiffusivityBSL</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/kappadiffusivitybsl.html'>kappaDiffusivityBSL</a>(this)
    
    
   
</h3>
    







<p>kappaDiffusivityBSL computes the diffusion coefficient for the tke equation in the BSL model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kwbsl.html'>kwBSL</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrdiffusivity"></span><h3>procedure, public :: <strong>tdrDiffusivity</strong>  => <a href='../proc/omegadiffusivitybsl.html'>omegaDiffusivityBSL</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/omegadiffusivitybsl.html'>omegaDiffusivityBSL</a>(this)
    
    
   
</h3>
    







<p>kappaDiffusivityBSL computes the diffusion coefficient for the tdr equation in the BSL model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kwbsl.html'>kwBSL</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrsourceterm"></span><h3>procedure, public :: <strong>tdrSourceTerm</strong>  => <a href='../proc/omegasourcetermbsl.html'>omegaSourceTermBSL</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/omegasourcetermbsl.html'>omegaSourceTermBSL</a>(this)
    
    
   
</h3>
    







<p>omegaSourceTermBSL computes source term for the tdr equation for the BSL model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kwbsl.html'>kwBSL</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-add_gradk_gradw"></span><h3>procedure, public :: <strong>add_gradK_gradW</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/add_gradk_gradw.html'>add_gradK_gradW</a>(this, iElement) result(bC)
    
    
   
</h3>
    







<p>add_gradK_gradW computes the scalar product between the gradient of tke and the gradient of tdr.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/kwbsl.html'>kwBSL</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iElement</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  </small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>